<div class="page-header">
  <h3 class="page-title">
    <span class="page-title-icon bg-gradient-primary text-white mr-2">
      <i class="mdi mdi-account-multiple"></i>
    </span>
    Roles
  </h3>
  <nav aria-label="breadcrumb">
    <ol class="breadcrumb">
      <li class="breadcrumb-item"><a routerLink="/dashboard">Inicio</a></li>
      <li class="breadcrumb-item active" aria-current="page">Roles</li>
    </ol>
  </nav>
</div>

<!-- Inicio de table -->
<div class="row">
  <div class="col-md-12 grid-margin stretch-card">
    <div class="card">
      <div class="card-body">
        <div class="d-sm-flex align-items-center mb-4">
          <h4 class="card-title mb-sm-0">Listado de roles</h4>
        </div>
        <div class="table-responsive border rounded p-1">
          <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="table table-striped">
            <thead>
              <tr>
                <th class="font-weight-bold">Nombre</th>
                <th class="font-weight-bold">Estado</th>
                <th class="font-weight-bold">Descripción</th>
                <th class="font-weight-bold">Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr *ngFor="let item of ItemRoles">
                <td>{{ item.nombre }}</td>
                <td>
                  <div class="badge badge-success p-2" *ngIf="item.operativo == 1">Activado</div>
                  <div class="badge badge-danger p-2" *ngIf="item.operativo == 0">Desactivado</div>
                </td>
                <td>{{ item.descripcion }}</td>
                <td>
                  <button type="button" class="btn btn-dark btn-icon"
                    (click)="editarRol(item); openModal(ModalContentEdit)" placement="bottom" ngbTooltip="Editar rol">
                    <i class="mdi mdi-grease-pencil"></i>
                  </button>
                  <button type="button" class="btn btn-inverse-danger btn-icon"
                    *ngIf="item.operativo == 1 && item.nombre != 'administrador'" (click)="desactivarRol(item.id)"
                    placement="bottom" ngbTooltip="Desactivar rol">
                    <i class="mdi mdi-close"></i>
                  </button>
                  <button type="button" class="btn btn-inverse-success btn-icon"
                    *ngIf="item.operativo == 0 && item.nombre != 'administrador'" (click)="activarRol(item.id)"
                    placement="bottom" ngbTooltip="Activar rol">
                    <i class="mdi mdi-check"></i>
                  </button>
                </td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Fin de table -->

<!-- Editar inicio  -->
<ng-template class="modal fade" #ModalContentEdit let-modal>
  <div class="modal-content">
    <div class="modal-header">
      <button type="button" class="close" data-bs-dismiss="modal" aria-label="Close" (click)="dismiss(modal)">
        <span aria-hidden="true">&times;</span>
      </button>
    </div>
    <div class="modal-body">
      <div class="col-12 stretch-card">

        <div class="card-body">
          <h4 class="card-title">Editar rol</h4>
          <p class="card-description">
            Modifique los campos deseados para editar el rol
          </p>
          <form class="forms-sample">
            <div class="form-group">
              <label for="exampleInputName1">Descripción</label>
              <input type="text" class="form-control" id="exampleInputName1" placeholder="Descripcion"
                name="descripcion" [(ngModel)]="roleModel.descripcion" #descripcion="ngModel" required minlength="5">
            </div>
          </form>
        </div>
      </div>
    </div>
    <div class="modal-footer">
      <button type="submit" class="btn btn-primary mr-2" (click)="guardarEdit(modal)"
        [disabled]="descripcion.invalid">Guardar</button>
      <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="dismiss(modal)">Cancelar</button>
    </div>
  </div>
</ng-template>
<!-- Editar final -->
